package com.bonus.canteen.core.supply.purchase.domain.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

@ApiModel
public class DrpPurDetailSupplierVO {
   @ApiModelProperty("原料名称")
   private String materialName;
   @ApiModelProperty("原料类别")
   private String categoryName;
   @ApiModelProperty("数量")
   private String purNum;
   @ApiModelProperty("计量单位")
   private String unitName;
   @ApiModelProperty("规格")
   private String size;
   @ApiModelProperty("供应商id")
   private Long supplierId;
   @ApiModelProperty("供应商")
   private String supplierName;
   @ApiModelProperty("采购单号")
   private String planId;
   @ApiModelProperty("食堂")
   private String canteenName;
   @ApiModelProperty("采购计划时间")
   private String purDate;
   @ApiModelProperty("采购人")
   private String purUserName;
   @ApiModelProperty("备注")
   private String remark;

   public String getMaterialName() {
      return this.materialName;
   }

   public String getCategoryName() {
      return this.categoryName;
   }

   public String getPurNum() {
      return this.purNum;
   }

   public String getUnitName() {
      return this.unitName;
   }

   public String getSize() {
      return this.size;
   }

   public Long getSupplierId() {
      return this.supplierId;
   }

   public String getSupplierName() {
      return this.supplierName;
   }

   public String getPlanId() {
      return this.planId;
   }

   public String getCanteenName() {
      return this.canteenName;
   }

   public String getPurDate() {
      return this.purDate;
   }

   public String getPurUserName() {
      return this.purUserName;
   }

   public String getRemark() {
      return this.remark;
   }

   public void setMaterialName(final String materialName) {
      this.materialName = materialName;
   }

   public void setCategoryName(final String categoryName) {
      this.categoryName = categoryName;
   }

   public void setPurNum(final String purNum) {
      this.purNum = purNum;
   }

   public void setUnitName(final String unitName) {
      this.unitName = unitName;
   }

   public void setSize(final String size) {
      this.size = size;
   }

   public void setSupplierId(final Long supplierId) {
      this.supplierId = supplierId;
   }

   public void setSupplierName(final String supplierName) {
      this.supplierName = supplierName;
   }

   public void setPlanId(final String planId) {
      this.planId = planId;
   }

   public void setCanteenName(final String canteenName) {
      this.canteenName = canteenName;
   }

   public void setPurDate(final String purDate) {
      this.purDate = purDate;
   }

   public void setPurUserName(final String purUserName) {
      this.purUserName = purUserName;
   }

   public void setRemark(final String remark) {
      this.remark = remark;
   }
}
